# $Revision: 1.56 $, $Date: 2009/04/12 08:18:27 $
#
# Conditional build:
%bcond_without	libkonq		# importing the right click menu of konqueror
%bcond_with	libkjsembed	# with libkjsembed
#

Summary:	Krusader is a filemanager for KDE
Summary(pl.UTF-8):	Krusader jest zarządcą plików dla KDE
Name:		krusader
Version:	2.0.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/krusader/%{name}-%{version}.tar.gz
# Source0-md5:	f80f500a136d549739ad5d4bcab7fa5f
Patch0:		%{name}-desktop.patch
URL:		http://krusader.sourceforge.net/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtDBus-devel
BuildRequires:	QtSvg-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
%{?with_libkonq:BuildRequires:	kde4-kdebase-devel}
%{?with_libkjsembed:BuildRequires:	kde4-kdebindings-kjsembed-devel}
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	phonon-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Suggests:	bzip2
Suggests:	cfv
Suggests:	coreutils
Suggests:	dpkg
Suggests:	gzip
Suggests:	kdiff3
Suggests:	kde4-kdesdk-kompare
Suggests:	krename >= 3.9.1
Suggests:	lha
Suggests:	md5deep
Suggests:	p7zip
Suggests:	tar
Suggests:	unace
Suggests:	unarj
Suggests:	unrar
Suggests:	unzip
Suggests:	zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	with_ccache

%description
Krusader is a filemanager for KDE, patterned after old-school managers
like midnight commander and norton commander. It features basically
all your file-management needs, plus extensive archive handling,
mounted filesystems support, FTP and much much more. It is (almost)
completely customizable, very user friendly, fast and damn good
looking :-). You should give it a try.

%description -l pl.UTF-8
Krusader jest zarządcą plików dla KDE, wzorowanym na takich zarządcach
"starej szkoły", jak Midnight Commander czy Norton Commander.
Zaspokaja w zasadzie wszystkie podstawowe potrzeby w zarządzaniu
plików, dodatkowo obsługuje archiwa, montowanie systemów plików, FTP i
o wiele, wiele więcej. Jest (prawie) całkowicie ustawialny, bardzo
przyjazny dla użytkownika, szybki i cholernie ładny :-). Powinieneś go
wypróbować.

%prep
%setup -q 
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}


%find_lang %{name} --with-kde

# locolor icons are deprecated (see kde .spec-s)
rm -f $RPM_BUILD_ROOT%{_iconsdir}/locolor/*/apps/*.png

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ README doc/actions_tutorial.txt
%attr(755,root,root) %{_bindir}/krusader
%attr(755,root,root) %{_libdir}/kde4/*.so
%{_datadir}/apps/krusader
%{_datadir}/config/kio_isorc
%{_datadir}/kde4/services/*.protocol
%{_desktopdir}/kde4/*.desktop
%{_iconsdir}/hicolor/*/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: krusader.spec,v $
Revision 1.56  2009/04/12 08:18:27  rotom
- stable 2.0.0 merget from DEVEL

Revision 1.55  2008/03/23 13:27:19  witekfl
- added BR kdelibs-shared (dtd/kdex.dtd)

Revision 1.54  2008-03-22 13:43:36  witekfl
- up to 1.90.0

Revision 1.53  2008-02-18 15:54:32  tommat
- no patch4
- patch3 outdated - removed
- removed todo
- rel 1

Revision 1.52  2007-12-26 16:20:32  blekot
- vfs patch is already in sources

Revision 1.51  2007-08-17 17:57:54  shadzik
- 1.80.0 final
- rel 0.1
- added TODO

Revision 1.50  2007/04/09 01:27:47  shadzik
mass attack: qt-devel epoch

Revision 1.49  2007/03/11 15:17:51  blekot
- rel up (2)

Revision 1.48  2007/03/11 15:06:11  blekot
- reverted last commit
- removed kio_tar.so (conflicts with konqueror)

Revision 1.47  2007/03/11 14:14:49  blekot
- BuildRequires:  boost-filesystem-devel, boost-regex-devel

Revision 1.46  2007/03/11 13:52:15  blekot
- krusader-vfs.h.patch against th build

Revision 1.45  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.43  2006/07/19 22:28:37  glen
- check-files cleanup

Revision 1.42  2006/07/18 06:23:22  shadzik
- 1.70.1

Revision 1.41  2006/02/14 00:11:37  glen
- spec parser has no "comments"

Revision 1.40  2006/02/14 00:03:32  rotom
- updated to 1.70.0 (final release)

Revision 1.39  2005/12/02 15:01:11  czarny
- reverted my incompetence
- BR: kdelibs-devel >= 3.5.0-4

Revision 1.38  2005/12/01 23:43:26  czarny
- BR: acl-devel

Revision 1.37  2005/11/06 19:06:00  charles
- updated to 1.70.0 beta2
- enabled kiotar write support

Revision 1.36  2005/10/16 13:23:26  kolodko
- added unpacked files

Revision 1.35  2005/10/03 05:50:01  charles
- up to 1.70.0 beta1

Revision 1.34  2005/05/02 18:45:11  djurban
- enable all features by default, if kdemultimedia can require gstreamer to have all features
  then kde apps can require kdebase and kdebindings to have them.

Revision 1.33  2005/04/15 20:59:13  kolodko
- BR: autoconf

Revision 1.32  2005/04/15 20:40:21  kolodko
- added bcond_with  libkjsembed; default disable

Revision 1.31  2005/04/11 16:16:06  charles
- updated to 1.60.0 (final release)
- aded bcon with libkonq (importing the right click menu of
konqueror, BR: kdebase-devel)
- {kde-libs,qt}-devel up to >= 3.3
-rm -no_konqueror_libs.patch

Revision 1.30  2005/03/30 00:01:56  charles
- BR: kdebindings-kjsembed-devel (for JavaScript console)
- rm BR pcre-devel (installed by kdelibs-devel)

Revision 1.29  2005/03/22 11:44:21  charles
- updated to 1.60 beta2

Revision 1.28  2005/03/04 00:31:07  charles
- updated to 1.60 beta1

Revision 1.27  2004/12/22 10:02:45  arekm
- 1.51; drop cvs patch

Revision 1.26  2004/11/17 09:34:38  qboosh
- spacing

Revision 1.25  2004/11/17 00:56:45  kolodko
- added patch from cvs by Charles <charles (at) os.pl>
- added krusader-no_konqueror_libs.patch
- rel 1
- STBR Ac

Revision 1.24  2004/11/01 18:07:57  kolodko
- up to 1.50 from Charles <charles (at) os.pl>
- rm bogus_locale.patch (obsolete)
- added mount.patch, krdetailedview.patch
- rel 0.1

Revision 1.23  2004/10/29 08:17:37  paladine
- "FTP" unification

Revision 1.22  2004/08/22 22:39:26  qboosh
- fixed build on amd64, disable rpath, release 1

Revision 1.21  2004/07/28 10:37:18  qboosh
- more icon sizes, removed obsolete doc patch

Revision 1.20  2004/07/27 18:25:02  kolodko
- up to 1.40, needs some cosmetic

Revision 1.19  2004/07/23 22:50:28  ankry
- fix bogus locale, rel. 4

Revision 1.18  2004/07/16 14:45:30  qboosh
- typo

Revision 1.17  2004/07/15 12:21:02  qboosh
- _kde_docdir requires macros >= 1.129

Revision 1.16  2004/07/15 11:42:59  qboosh
- added desktop patch, switched to vfolders, files fixes, release 3

Revision 1.15  2004/05/12 12:29:24  arekmat
- added gcc34 fix
- refreshed config.sub
- rel 2

Revision 1.14  2004/05/08 14:33:29  kolodko
- fixed BuildRequires

Revision 1.13  2003/12/06 00:25:04  matkor
- Fixed file conflict with kdelibs. Release 1 (ac).

Revision 1.12  2003/12/05 16:01:32  qboosh
- added doc patch - builds now
- added missing files, simplified list

Revision 1.11  2003/11/24 22:39:40  matkor
- Version 1.30.

Revision 1.10  2003/11/11 16:02:28  matkor
- Version 1.29beta1. Fails to build on Ac (on docbook stuff) same way as 1.20. :/

Revision 1.9  2003/07/23 20:31:57  gotar
- BR: libart_lgpl-devel

Revision 1.8  2003/07/23 19:59:16  gotar
- BR: fam-devel

Revision 1.7  2003/07/15 20:23:08  blues
- cosmetics

Revision 1.6  2003/06/02 13:08:16  adamg
- updated to 1.20

Revision 1.5  2003/05/28 12:59:23  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/16 10:35:55  ciril
- Fixed %files section

Revision 1.2  2003/03/03 08:58:37  qboosh
- cleanups, missing dirs, changed prefix for HEAD

Revision 1.1  2003/02/28 16:24:39  jasio
- Initial release.
- This SPEC is intended for RA-branch.
- RPM and SRPM are building from this SPEC.
